<?php
/**
 * Shows the stadium list.
 * Author: Per Ola Saether
 */

function show_competitionlist() {
	
	include_once("functions/competitions.php");
	$totalNumberOfCompetition = getNumberOfCompetitions();
	
	$competitions = getCompetitionList();

  $listResultCountText = sprintf(_n('There is %d competition known.', 
    'There are %d competitions known.', $totalNumberOfCompetition, 'groundhopping'), $totalNumberOfCompetition);
?>

    <div id="listAmount"><?php echo $listResultCountText; ?></div>

    <div id="competitionamount">There are <?php echo $totalNumberOfCompetition; ?> competitions known in the database.</div>

    <div id="competitionlist">
        <table>
            <thead>
                <tr>
                    <th>Name</th>
                    <th>&nbsp;</th>
                </tr>
            </thead>
            <tbody>

<?php foreach ($competitions as $competition) { ?> 

    <tr>
      <td><?php echo $competition->name; ?></td>
		  <td><a id="edit" onclick="javascript:competition_edit(<?php echo $competition->id; ?>, '<?php echo $competition->name; ?>');"><?php _e('Edit', 'groundhopping');?></a>
    </tr> 

<?php } ?>              

            </tbody>
        </table>
    </div>
<?php

}



function show_competition($url, $competitionID) {
	
	include_once("functions/competitions.php");
	$competition = getCompetition($competitionID);
  
	$L_pos = strpos($url, "?");
	if($L_pos == false) $trenn = "?";
	else $trenn = "&amp;";

  $competitionFilterUrl = $url . $trenn;

  $visitTmpl = "
     <tr>
        <th class=\"visitsDetail\">%s</th>
        <td>%s</td>
     </tr>";

	if ($competition->prev_id != NULL) { 
		?><div class="ghNavigation"><a href="<?php echo $url; ?>&amp;competition=<?php echo $competition->prev_id; ?>"><?php 
			_e('previous competition', 'groundhopping');?></a></div><?php
	} 

?>

    <div id="competition">
      <table>
        <tbody>
		  <tr>
		    <th><?php _e('Name', 'groundhopping');?></th>
		    <td><?php echo $competition->name; ?></td>
		  </tr><tr>
			  <th><?php _e('visits', 'groundhopping');?></th>
			  <td><a href="<?php echo $competitionFilterUrl; ?>filter_competition=<?php echo $competitionID; ?>"><?php echo $competition->visits; ?></a></td>
		  </tr>

<?php 

  $user_is_logged_in = is_user_logged_in();
  if($user_is_logged_in) {
    $current_user = wp_get_current_user();
    $user_id = $current_user->ID;
?>

      <tr>
        <th colspan="2" class="visitsDetailHeadline"><?php _e('Visits by team', 'groundhopping');?></th>
      </tr>

        <?php
    $competitionTeamVisits = getCompetitionTeamVisits($competitionID, $user_id);
    foreach ($competitionTeamVisits as $tVisit) {
      $teamName = $tVisit->name == null ? "&lt;none&gt;" : $tVisit->name; 
      $visitLink = sprintf("<a href=\"%s&amp;filter_competition=%s&amp;filter_team=%s\">%s</a>", $competitionFilterUrl, $competitionID, $tVisit->id, $tVisit->visits); 
      echo sprintf($visitTmpl, $teamName, $visitLink);
    }
  }
		  ?>
        </tbody>
      </table>
    </div>

<?php if($competition->next_id != NULL) {  ?> 

<div class="ghNavigation"><a href="<?php echo $url; ?>&amp;competition=<?php echo $competition->next_id; ?>"><?php _e('next competition', 'groundhopping');?></a></div> 

<?php } ?> 
	
  <div id="confirmButtons">
	<span><a class="button blue" id="editCompetition" onclick="competition_edit(<?php echo $competition->id; ?>, '<?php echo $competition->name; ?>');">Edit Competition</a></span>
  </div>
  
  <?php }?>