<?php

  function addNewCompetition($name) {
    global $wpdb;
    $table_name = $wpdb->prefix . "gh_competition";
    $wpdb->query($wpdb->prepare("INSERT INTO " . $table_name . " (id, name) Values ( %d, %s )", NULL, $name));
  }
  
  function editCompetition($id, $name) {
    global $wpdb;
    $table_name = $wpdb->prefix . "gh_competition";
    $sql = "UPDATE " . $table_name . " SET name='" . $name . "' WHERE id=" . $id . ";";
    $wpdb->query($sql);
  }

  function getNumberOfCompetitions() {
    global $wpdb;
    $table_name = $wpdb->prefix . "gh_competition";
    $sqlCompetition = "SELECT count(id) FROM " . $table_name . ";";
    return $wpdb->get_var($sqlCompetition);
  }

  function getCompetitionList() {
    global $wpdb;
    $table_name = $wpdb->prefix . "gh_competition";
    $sqlCompetition = "SELECT a.id, a.name from " . $table_name . " a order by a.name";
    return $wpdb->get_results($sqlCompetition);
  }

  function getCompetition($id) {
    global $wpdb;
    $table_name = $wpdb->prefix . "gh_competition";
    $sqlCompetitionById = "SELECT name, visits from " . $table_name . " where id=" . $id . ";";
    $table_name = $wpdb->prefix . "gh_competition";
    $table_name_visits = $wpdb->prefix . "gh_visits";

    $user_is_logged_in = is_user_logged_in(); 
    $current_user = $user_is_logged_in ? wp_get_current_user() : null;
    
    $user_id = $current_user == null ? 0 : $current_user->ID;
    
    $subSelectVisits  = "SELECT COUNT(b.id) FROM " . $table_name_visits . " b ";
    $subSelectVisits .= "WHERE b.competition_id = a.id and b.user = " . $user_id;
    
    $sqlCompetitionById = "SELECT a.id, a.name, ";
    $sqlCompetitionById = $sqlCompetitionById . "(" . $subSelectVisits . ") as visits, ";
    $sqlCompetitionById = $sqlCompetitionById . "(select n.id from " . $table_name . " n where n.name > a.name order by n.name asc limit 1) as next_id, ";
    $sqlCompetitionById = $sqlCompetitionById . "(select p.id from " . $table_name . " p where p.name < a.name order by p.name desc limit 1) as prev_id ";

    $sqlCompetitionById = $sqlCompetitionById . "FROM " . $table_name . " a where id=" . $id . ";";
    $competition = $wpdb->get_row($sqlCompetitionById);
        
    return $competition;
  }

  function deleteCompetitionById($id) {
    global $wpdb;
    $table_name = $wpdb->prefix . "gh_competition";
    $sqlDeleteCompetitionById = "delete from " . $table_name . " where id=" . $id . ";";
    $wpdb->query($sqlDeleteCompetitionById);
  }
  
  function getCompetitionName($competitionID) {
    global $wpdb;
    $table_name = $wpdb->prefix . "gh_competition";
    $result = "SELECT a.name FROM " . $table_name . " a WHERE a.id = " . $competitionID . ";";
    $name = $wpdb->get_var($result);
    return $name;
  }
  
  function getCompetitionTeamVisits($id, $user_id) {
  	global $wpdb;
  	$table_name_t = $wpdb->prefix . "gh_team";
  	$table_name_v = $wpdb->prefix . "gh_visits";
  
  	$sqlCompetitionTVisits = sprintf("
        SELECT t.name as name, COUNT(v.id) as visits, t.id as id FROM %s t
        JOIN %s v ON (v.team_home = t.id OR v.team_guest = t.id) AND v.user = '%s' AND v.competition_id = %s
        GROUP by t.id ORDER by visits DESC",
  			$table_name_t, $table_name_v, $user_id, $id);
  
  	$wpdb->show_errors();
  	return $wpdb->get_results($sqlCompetitionTVisits);
  }
  
?>