<?php

  function getStadiumListFilter($filteredTeamHome = null, $filteredTeamGuest = null, $filteredStadium = null, $filteredCompetition = null, $filteredTeam = null) {
  
    global $wpdb;
    $table_name_visits = $wpdb->prefix . "gh_visits";
  
    if ($filteredTeam != null || $filteredTeamHome != null || $filteredTeamGuest != null || $filteredCompetition != null) {
     $filterClause = $filterClause . "JOIN " . $table_name_visits . " v ON v.stadium_id = a.id\n";
     if($filteredTeamHome != null) $filterClause = $filterClause . " AND v.team_home = " . $filteredTeamHome . " \n";
     if($filteredTeamGuest != null) $filterClause = $filterClause . " AND v.team_guest = " . $filteredTeamGuest . " \n";
     
     if($filteredCompetition != null) {
     	if ($filteredCompetition == "NULL") $competitionClause = "v.competition_id = 0";
     	else $competitionClause = "v.competition_id = " . $filteredCompetition;
     	$filterClause .= " AND " . $competitionClause . " ";
     }
     
     if($filteredTeam != null) $filterClause = $filterClause . " AND (v.team_home = " . $filteredTeam . " OR v.team_guest = " . $filteredTeam . ")\n";
    }
  
    $filterClause = $filterClause . "WHERE 1 = 1 ";
    if($filteredStadium != null) $filterClause = $filterClause. "AND a.id = " . $filteredStadium . " ";
    return $filterClause;
  }

  function getStadiumListAllEntries() {
  	 global $wpdb;
     $table_name_stadium = $wpdb->prefix . "gh_stadium";
     $sqlStadiums = "SELECT a.id, a.name from " . $table_name_stadium . " a order by a.name";
  	 return $wpdb->get_results($sqlStadiums);
  }
  
  function getStadiumListEntries($filterClause, $filterByUser = true) {

    if(!is_user_logged_in()) return null;  
    $current_user = wp_get_current_user();
    $user_id = $current_user->ID;
  
    global $wpdb;
    $table_name_stadium = $wpdb->prefix . "gh_stadium";
    $table_name_visits  = $wpdb->prefix . "gh_visits";

    $subSqlVisits = "";
    if($filterByUser) {
      $subSqlVisits = " AND a.id IN (SELECT v.stadium_id FROM %s v WHERE v.user = %d)";
      $subSqlVisits = sprintf($subSqlVisits, $table_name_visits, $user_id);
    }
  
    $sqlStadiums  = sprintf("SELECT DISTINCT ".
                        "a.id as id, " .
                        "a.name as name, " .
                        "a.latitude as latitude, " .
                        "a.longitude as longitude " .
                        "FROM %s a" .
                        " %s%s;", $table_name_stadium, $filterClause, $subSqlVisits);
  
    return $wpdb->get_results($sqlStadiums);
  }
  
  function getStadiumName($stadiumID) {
    global $wpdb;
    $table_name = $wpdb->prefix . "gh_stadium";
    $result = "SELECT a.name FROM " . $table_name . " a WHERE a.id = " . $stadiumID . ";";
    $name = $wpdb->get_var($result);
    return $name;
  }
  
  function getStadiumListCount($filterClause, $filterByUser = true) {
      $user_is_logged_in = is_user_logged_in();
      if (!$user_is_logged_in) return null;
      
      $current_user = wp_get_current_user();
      $user_id = $current_user->ID;
  
      global $wpdb;
      $table_name_stadium = $wpdb->prefix . "gh_stadium";

      $subSqlVisits = "";

      if ($filterByUser) {
        $table_name_visits  = $wpdb->prefix . "gh_visits";
        $subSqlVisits = " AND a.id IN (SELECT DISTINCT v.stadium_id FROM %s v WHERE v.user = %d)";
        $subSqlVisits = sprintf($subSqlVisits, $table_name_visits, $user_id);
      }
    
      $sqlStadiums = sprintf("SELECT count(DISTINCT a.id) FROM %s a%s", 
      $table_name_stadium, $filterClause, $subSqlVisits);
  
      return $wpdb->get_var($sqlStadiums);
  }
  
  function getStadium($id) {
    global $wpdb;
    $table_name = $wpdb->prefix . "gh_stadium";
    $table_name_visits = $wpdb->prefix . "gh_visits";
    $sqlStadiumById = "SELECT a.id, a.name, a.latitude, a.longitude, ";
    $sqlStadiumById = $sqlStadiumById . "(SELECT COUNT(b.id) FROM " . $table_name_visits . " b WHERE b.stadium_id = a.id) as visits ";
    $sqlStadiumById = $sqlStadiumById . "FROM " . $table_name . " a where id=" . $id . ";";
    $stadium = $wpdb->get_row($sqlStadiumById);
    return $stadium;
  }

  function deleteStadiumById($id) {
    global $wpdb;
    $table_name = $wpdb->prefix . "gh_stadium";
    $sqlDeleteStadiumById = "delete from " . $table_name . " where id=" . $id . ";";
    $wpdb->query($sqlDeleteStadiumById);
  }
  
  function newStadium($name, $latitude, $longitude){
    global $wpdb;
    $table_name = $wpdb->prefix . "gh_stadium";
    $wpdb->query($wpdb->prepare("INSERT INTO " . $table_name . 
      " (id, name, latitude, longitude)" .
      " Values ( %d, %s, %f, %f)", 
    NULL, $name, $latitude, $longitude));
  }
  
  function editStadium($id, $name, $latitude, $longitude){
    global $wpdb;
    $table_name = $wpdb->prefix . "gh_stadium";
    $sql = "UPDATE " . $table_name . 
      " SET name='" . $name . "', latitude='" . $latitude . "', longitude=" . $longitude . 
      " WHERE id=" . $id . ";";
    $wpdb->query($sql);
  }
  
  function getStadiumCompetitionVisits($id, $user_id) {
    global $wpdb;
    $table_name_c = $wpdb->prefix . "gh_competition";
    $table_name_v = $wpdb->prefix . "gh_visits";
  
  	$sqlStadiumCVisits = sprintf("
        SELECT c.name as name, COUNT(v.id) as visits, c.id as id FROM %s v
          LEFT JOIN %s c ON v.competition_id = c.id
        WHERE v.stadium_id = %s AND v.user = '%s'
        GROUP by c.id ORDER by visits DESC",
        $table_name_v, $table_name_c, $id, $user_id);

    $wpdb->show_errors();
    return $wpdb->get_results($sqlStadiumCVisits);
  }

  function getStadiumTeamVisits($id, $user_id) {
    global $wpdb;
    $table_name_t = $wpdb->prefix . "gh_team";
    $table_name_v = $wpdb->prefix . "gh_visits";
  
  	$sqlStadiumTVisits = sprintf("
        SELECT t.name as name, COUNT(v.id) as visits, t.id as id FROM %s t
        JOIN %s v ON (v.team_home = t.id OR v.team_guest = t.id) AND v.user = '%s' AND v.stadium_id = %s
        GROUP by t.id ORDER by visits DESC",
        $table_name_t, $table_name_v, $user_id, $id);
  
  	$wpdb->show_errors(); 
    return $wpdb->get_results($sqlStadiumTVisits);
  }

?>