<?php

  function newTeam($name) {
  	global $wpdb;
    $table_name = $wpdb->prefix . "gh_team";

    $wpdb->query($wpdb->prepare("INSERT INTO " . $table_name . 
      " (id, name) Values ( %d, %s )", NULL, $name));
  }
  
  function editTeam($id, $name) {
  	global $wpdb;
    $table_name = $wpdb->prefix . "gh_team";
    $sql = "UPDATE " . $table_name . " SET name='" . $name . "' WHERE id=" . $id . ";";
    $wpdb->query($sql);
  }

  function getTeamName($teamID) {
    global $wpdb;
    $table_name = $wpdb->prefix . "gh_team";
    $result = "SELECT a.name FROM " . $table_name . " a WHERE a.id = " . $teamID . ";";
    $name = $wpdb->get_var($result);
    return $name;
  }

  function getTeamListCount() {
  	global $wpdb;
    $table_name = $wpdb->prefix . "gh_team";

    $sqlTeams = "SELECT count(id) FROM " . $table_name . ";";
    return $wpdb->get_var($sqlTeams);
  }
  
  function getTeamListEntries() {
  	global $wpdb;
    $table_name = $wpdb->prefix . "gh_team";

    $sqlTeams = "SELECT a.id, a.name from " . $table_name . " a order by a.name";
    return $wpdb->get_results($sqlTeams);
  }
  
  function deleteTeamById($id) {
    global $wpdb;
    $table_name = $wpdb->prefix . "gh_team";
    $sqlDeleteTeamById = "DELETE from " . $table_name . " where id=" . $id . ";";
    $wpdb->query($sqlDeleteTeamById);
  }

  function getTeam($id) {

    $user_is_logged_in = is_user_logged_in(); 
    if(!$user_is_logged_in) return null;  
    $current_user = wp_get_current_user();
    $user_id = $current_user->ID;
    
    $subSelectHomeVisits  = "SELECT COUNT(v1.team_home) FROM wp_gh_visits v1 ";
    $subSelectHomeVisits .= "WHERE v1.team_home = %s AND v1.user = %s";
    $subSelectHomeVisits  = sprintf($subSelectHomeVisits, $id, $user_id);
    
    $subSelectAwayVisits  = "SELECT COUNT(v2.team_guest) FROM wp_gh_visits v2 ";
    $subSelectAwayVisits .= "WHERE v2.team_guest = %s AND v2.user = %s";
    $subSelectAwayVisits  = sprintf($subSelectAwayVisits, $id, $user_id);
    
    global $wpdb;
    $table_name = $wpdb->prefix . "gh_team";

    $sqlTeamById  = "";
    $sqlTeamById .= "SELECT t.name as name, ";
    $sqlTeamById .= "(%s) as visits_home, ";
    $sqlTeamById .= "(%s) as visits_guest ";
    $sqlTeamById .= "FROM wp_gh_team t ";
    $sqlTeamById .= "JOIN wp_gh_visits v ON (t.id = v.team_home OR t.id = v.team_guest) ";
    $sqlTeamById .= "WHERE t.id = %s";
    $sqlTeamById  = sprintf($sqlTeamById, $subSelectHomeVisits, $subSelectAwayVisits, $id);
    return $wpdb->get_row($sqlTeamById);
  }

  function getTeamCompetitionVisits($id, $user_id) {
  	global $wpdb;
    $table_name_c = $wpdb->prefix . "gh_competition";
    $table_name_v = $wpdb->prefix . "gh_visits";
    
    $sqlTeamCVisits = sprintf("
        SELECT c.name as name, COUNT(v.id) as visits, c.id as id FROM %s v 
          LEFT JOIN %s c ON v.competition_id = c.id 
        WHERE v.team_home = %s OR v.team_guest = %s AND v.user = '%s'
        GROUP by c.id ORDER by visits DESC", 
      $table_name_v, $table_name_c, $id, $id, $user_id);
    
    return $wpdb->get_results($sqlTeamCVisits);
  }

  function getTeamStadiumVisits($id, $user_id) {
  	global $wpdb;
    $table_name_s = $wpdb->prefix . "gh_stadium";
    $table_name_v = $wpdb->prefix . "gh_visits";
    
    $sqlTeamSVisits = sprintf("
        SELECT s.name as name, COUNT(v.id) as visits, s.id as id FROM %s v 
        JOIN %s s ON v.stadium_id = s.id 
        WHERE v.team_home = %s OR v.team_guest = %s AND v.user = '%s'
        GROUP by s.id ORDER by visits DESC", 
      $table_name_v, $table_name_s, $id, $id, $user_id);
    
    return $wpdb->get_results($sqlTeamSVisits);
  }

?>