<?php

function newVisit($match_time, $teamHome, $teamAway, $stadium_id, $competition) {
	$user_is_logged_in = is_user_logged_in(); 
  if(!$user_is_logged_in) return; 
  $current_user = wp_get_current_user();
  $user_id = $current_user->ID;
    
  global $wpdb;
  $table_name = $wpdb->prefix . "gh_visits";

  $competition_id = $competition == "0" ? NULL : $competition;
  
  $wpdb->query($wpdb->prepare("INSERT INTO " . $table_name . 
     " (id, match_time, team_home, team_guest, stadium_id, competition_id, user )" . 
     "  Values ( %d, %s, %d , %d , %d , %d, %d  )", 
        NULL, $match_time, $teamHome, $teamAway, $stadium_id, $competition_id, $user_id));
	
}

function editVisit($id, $match_time, $teamHome, $teamAway, $stadium_id, $competition) {
	$user_is_logged_in = is_user_logged_in(); 
  if(!$user_is_logged_in) return; 
  $current_user = wp_get_current_user();
  $user_id = $current_user->ID;
    
  global $wpdb;
  $table_name = $wpdb->prefix . "gh_visits";

  $competition_id = $competition == "0" ? NULL : $competition;
  
  $wpdb->query($wpdb->prepare("UPDATE " . $table_name . " a SET " . 
   " a.match_time = '%s', a.team_home='%d', a.team_guest='%d', " . 
   " a.stadium_id='%d', a.competition_id='%d'" . 
   " WHERE a.id = '%d' AND a.user='%d'", 
      $match_time, $teamHome, $teamAway, $stadium_id, $competition_id, $id, $user_id));
	
}

function getVisit($id) {
  
  $user_is_logged_in = is_user_logged_in(); 
  if(!$user_is_logged_in) return null;
   
  $current_user = wp_get_current_user();
  $user_id = $current_user->ID;
    
  global $wpdb;
  $table_name = $wpdb->prefix . "gh_visits";
  $table_name_team    = $wpdb->prefix . "gh_team";
  $table_name_stadium = $wpdb->prefix . "gh_stadium";
  $table_name_competition = $wpdb->prefix . "gh_competition";
  
  $sqlVisit = "SELECT ";
  $sqlVisit = $sqlVisit . "a.id as id, ";
  $sqlVisit = $sqlVisit . "a.match_time as match_time, ";
  $sqlVisit = $sqlVisit . "DATE_FORMAT(a.match_time,'%k:%i') as match_time_time, ";
  $sqlVisit = $sqlVisit . "DATE_FORMAT(a.match_time,'%Y-%m-%d') as match_time_date, ";
  $sqlVisit = $sqlVisit . "b.name as team_home, ";
  $sqlVisit = $sqlVisit . "b.id as team_home_id, ";
  $sqlVisit = $sqlVisit . "c.name as team_guest, ";
  $sqlVisit = $sqlVisit . "c.id as team_guest_id, ";
  $sqlVisit = $sqlVisit . "d.name as stadium, ";
  $sqlVisit = $sqlVisit . "d.id as stadium_id, ";
  $sqlVisit = $sqlVisit . "e.name as competition, ";
  $sqlVisit = $sqlVisit . "e.id as competition_id, ";
  $sqlVisit = $sqlVisit . "(select n.id from " . $table_name . " n where n.match_time > a.match_time order by match_time asc limit 1) as next_id, ";
  $sqlVisit = $sqlVisit . "(select p.id from " . $table_name . " p where p.match_time < a.match_time order by match_time desc limit 1) as prev_id ";
  $sqlVisit = $sqlVisit . "FROM " . $table_name . " a ";
  $sqlVisit = $sqlVisit . "JOIN " . $table_name_team . " b on b.id = a.team_home ";
  $sqlVisit = $sqlVisit . "JOIN " . $table_name_team . " c on c.id = a.team_guest ";
  $sqlVisit = $sqlVisit . "JOIN " . $table_name_stadium . " d on d.id = a.stadium_id ";
  $sqlVisit = $sqlVisit . "LEFT OUTER JOIN " . $table_name_competition . " e on a.competition_id = e.id ";
  $sqlVisit = $sqlVisit . "WHERE a.id = " . $id . " and a.user = " . $user_id;

  $visit = $wpdb->get_row($sqlVisit);
  return $visit;
}

function getVisitsListCount($filterClause) {
  $user_is_logged_in = is_user_logged_in(); 
  if(!$user_is_logged_in) return 0; 
  $current_user = wp_get_current_user();
  $user_id = $current_user->ID;
    
  //Get the table name with the WP database prefix
  global $wpdb;
  $table_name = $wpdb->prefix . "gh_visits";
  
  $sqlVisits  = "SELECT count(a.id) ";
  $sqlVisits .= "FROM " . $table_name . " a ";
  $sqlVisits .= $filterClause;
  $sqlVisits .= "AND a.user = " . $user_id . ";";
  
  return $wpdb->get_var($sqlVisits);
}


function getVisitsListEntries($filterClause) {

  $user_is_logged_in = is_user_logged_in(); 
  if(!$user_is_logged_in) return null;  
  $current_user = wp_get_current_user();
  $user_id = $current_user->ID;

  global $wpdb;
  $table_name             = $wpdb->prefix . "gh_visits";
  $table_name_team        = $wpdb->prefix . "gh_team";
  $table_name_stadium     = $wpdb->prefix . "gh_stadium";
  $table_name_competition = $wpdb->prefix . "gh_competition";
  
  $sqlVisits = "SELECT ";
  $sqlVisits = $sqlVisits . "a.id as id, ";
  $sqlVisits = $sqlVisits . "DATE_FORMAT(a.match_time,'%d.%m.%Y %k:%i') as match_time, ";
  $sqlVisits = $sqlVisits . "b.name as team_home, ";
  $sqlVisits = $sqlVisits . "c.name as team_guest, ";
  $sqlVisits = $sqlVisits . "d.name as stadium, ";
  $sqlVisits = $sqlVisits . "d.id as stadium_id, ";
  $sqlVisits = $sqlVisits . "b.id as team_home_id, ";
  $sqlVisits = $sqlVisits . "c.id as team_guest_id ";
  $sqlVisits = $sqlVisits . "FROM " . $table_name . " a ";
  $sqlVisits = $sqlVisits . "JOIN " . $table_name_team . " b on b.id = a.team_home ";
  $sqlVisits = $sqlVisits . "JOIN " . $table_name_team . " c on c.id = a.team_guest ";
  $sqlVisits = $sqlVisits . "JOIN " . $table_name_stadium . " d on d.id = a.stadium_id ";
  $sqlVisits = $sqlVisits . $filterClause;
  $sqlVisits = $sqlVisits . " AND a.user = " . $user_id . " ";
  $sqlVisits = $sqlVisits . "ORDER BY a.match_time DESC";

  $visits = $wpdb->get_results($sqlVisits);
  return $visits;
}

function getDatabaseVisitsFilter($filteredTeamHome = null, $filteredTeamGuest = null, $filteredStadium = null, $filteredCompetition = null, $filteredTeam = null) {
  $filterClause = $filterClause . "WHERE 1 = 1 ";
  if($filteredTeamHome != null) $filterClause = $filterClause . "AND a.team_home = " . $filteredTeamHome . " ";
  if($filteredTeamGuest != null) $filterClause = $filterClause. "AND a.team_guest = " . $filteredTeamGuest . " ";
  if($filteredStadium != null) $filterClause = $filterClause. "AND a.stadium_id = " . $filteredStadium . " ";

  if($filteredCompetition != null) {
  	if ($filteredCompetition == "NULL") $competitionClause = "a.competition_id = 0";
  	else $competitionClause = "a.competition_id = " . $filteredCompetition;
  	$filterClause .= "AND " . $competitionClause . " ";
  }
    
  if ($filteredTeam != null) {
    $filterClause = $filterClause . "AND (a.team_home = " . $filteredTeam . " ";
    $filterClause = $filterClause. "OR a.team_guest = " . $filteredTeam . ") ";
  }

  return $filterClause;
}

function deleteVisitById($id) {

  $user_is_logged_in = is_user_logged_in(); 
  if(!$user_is_logged_in) return; 
  $current_user = wp_get_current_user();
    
  $user_id = $current_user->ID;
    
  global $wpdb;
  $table_name = $wpdb->prefix . "gh_team";
  $sqlDeleteTeamById  = "delete from " . $table_name;
  $sqlDeleteTeamById .= " where id=" . $id . " and user = " . $user_id . ";";
  $wpdb->query($sqlDeleteTeamById);
}


?>