//loading popup with jQuery magic!
function loadBackground() {
    jQuery("#backgroundPopup").css({"opacity": "0.7"});
    jQuery("#backgroundPopup").fadeIn("slow");
}

//centering popup
function stadium_centerPopup() {
    //request data for centering
	var windowHeight = jQuery(window).height();
	var popupHeight = jQuery("#stadium-input").height();
    //centering
    jQuery("#stadium-input").css({
    "position": "fixed",
    "top": ((windowHeight/2) - (popupHeight/2))
    });
    
    //only need force for IE6

    jQuery("#backgroundPopup").css({
    "height": windowHeight
    });
}


//disabling popup with jQuery magic!
function stadium_disablePopup() {
    jQuery("#backgroundPopup").fadeOut("slow");
    jQuery("#stadium-input").fadeOut("slow");
}

/**
 *
 * @access public
 * @return void
 **/
function stadium_edit(stadiumID, stadiumName, latitude, longitude) {
	
	jQuery("input[name=stadiumform_hidden]").val('Edit Stadium');
	
	jQuery("th[id=stadium-input-header]").replaceWith('<th id="stadium-input-header">Edit Stadium</th>');
	
	jQuery("input[name=id]").val(stadiumID);
	jQuery("input[name=stadiumname]").val(fixSpecialChars(stadiumName));
	jQuery("input[name=latitude]").val(latitude.toFixed(6));
	jQuery("input[name=longitude]").val(longitude.toFixed(6));
	
	jQuery("#editStadium").show();
	jQuery("#addStadium").hide();
	
	stadium_loadInputForm();
}

/**
 *
 * @access public
 * @return void
 **/
function stadium_add() {
	//populate edit dive
	jQuery("input[name=stadiumform_hidden]").val('Add Stadium');
	jQuery("th[id=stadium-input-header]").replaceWith('<th id="stadium-input-header">Add Stadium</th>');
	
	jQuery("#editStadium").hide();
	jQuery("#addStadium").show();
	
	stadium_loadInputForm();
}

//Set dive input form action url
function stadium_setFormActionAndSubmit(url){
	//if (validateForm()) {
		document.stadiuminputform.action = addScrollToUrl(url);
		document.stadiuminputform.submit();
	//}
}

function stadium_loadInputForm() {
	loadBackground();
	stadium_centerPopup();
	jQuery("#stadium-input").fadeIn("slow");
}

function team_loadInputForm() {
	loadBackground();
	team_centerPopup();
	jQuery("#team-input").fadeIn("slow");
}

//centering popup
function team_centerPopup() {
    //request data for centering
	var windowHeight = jQuery(window).height();
	var popupHeight = jQuery("#team-input").height();
    //centering
    jQuery("#team-input").css({
    "position": "fixed",
    "top": ((windowHeight/2) - (popupHeight/2))
    });
    
    //only need force for IE6

    jQuery("#backgroundPopup").css({
    "height": windowHeight
    });
}


//disabling popup with jQuery magic!
function team_disablePopup() {
    jQuery("#backgroundPopup").fadeOut("slow");
    jQuery("#team-input").fadeOut("slow");
}

/**
 *
 * @access public
 * @return void
 **/
function team_edit(teamID, teamName) {
	
	//populate edit dive
	jQuery("input[name=teamform_hidden]").val('Edit Team');
	jQuery("th[id=team-input-header]").replaceWith('<th id="team-input-header">Edit Team</th>');
	jQuery("input[name=id]").val(teamID);
	jQuery("input[name=teamname]").val(fixSpecialChars(teamName));
	
	jQuery("#editTeam").show();
	jQuery("#addTeam").hide();
	
	team_loadInputForm();
}

/**
 *
 * @access public
 * @return void
 **/
function team_add() {
	//populate edit dive
	jQuery("input[name=teamform_hidden]").val('Add Team');
	jQuery("th[id=team-input-header]").replaceWith('<th id="stadium-input-header">Add Team</th>');
	jQuery("input[name=teamname]").val("");
	
	jQuery("#editTeam").hide();
	jQuery("#addTeam").show();
	
	team_loadInputForm();
}



//Set dive input form action url
function team_setFormActionAndSubmit(url){
	//if (validateForm()) {
		document.teaminputform.action = addScrollToUrl(url);
		document.teaminputform.submit();
	//}
}

function visit_loadInputForm() {
	loadBackground();
	visit_centerPopup();
	jQuery("#visit-input").fadeIn("slow");
}

/**
 *
 * @access public
 * @return void
 **/
function visit_edit(visitArray) {
	
	jQuery("input[name=visitform_hidden]").val('Edit Visit');
	
	jQuery("th[id=visit-input-header]").replaceWith('<th id="visit-input-header">Edit Visit</th>');
	
	jQuery("input[name=id]").val(visitArray[0]);
	jQuery("input[name=time]").val(fixSpecialChars(visitArray[5]));
	jQuery("input[name=date]").val(fixSpecialChars(visitArray[7]));
	jQuery("input[name=datehidden]").val(fixSpecialChars(visitArray[6]));
	
	$("#stadium option[value='" + visitArray[3] + "']").attr('selected', 'selected'); 
	$("#team-away option[value='" + visitArray[2] + "']").attr('selected', 'selected'); 
	$("#team-home option[value='" + visitArray[1] + "']").attr('selected', 'selected'); 
	$("#competition option[value='" + visitArray[4] + "']").attr('selected', 'selected'); 
	
	jQuery("#editVisit").show();
	jQuery("#addVisit").hide();
	
	visit_loadInputForm();
}

/**
 *
 * @access public
 * @return void
 **/
function visit_add() {
	//populate edit dive
	jQuery("input[name=visitform_hidden]").val('Add Visit');
	jQuery("th[id=visit-input-header]").replaceWith('<th id="visit-input-header">Add Visit</th>');
	
	jQuery("#editVisit").hide();
	jQuery("#addVisit").show();
	
	visit_loadInputForm();
}

//centering popup
function visit_centerPopup() {
    //request data for centering
	var windowHeight = jQuery(window).height();
	var popupHeight = jQuery("#visit-input").height();
    //centering
    jQuery("#visit-input").css({
    "position": "fixed",
    "top": ((windowHeight/2) - (popupHeight/2))
    });
    
    //only need force for IE6

    jQuery("#backgroundPopup").css({
    "height": windowHeight
    });
}


//disabling popup with jQuery magic!
function visit_disablePopup() {
    jQuery("#backgroundPopup").fadeOut("slow");
    jQuery("#visit-input").fadeOut("slow");
}


function competition_loadInputForm() {
	loadBackground();
	competition_centerPopup();
	jQuery("#competition-input").fadeIn("slow");
}




//Set dive input form action url
function visit_setFormActionAndSubmit(url){
	//if (validateForm()) {
		document.visitinputform.action = addScrollToUrl(url);
		document.visitinputform.submit();
	//}
}
/**
 *
 * @access public
 * @return void
 **/
function competition_add() {
	//populate edit dive
	jQuery("input[name=competitionform_hidden]").val('Add Competition');
	jQuery("th[id=competition-input-header]").replaceWith('<th id="competition-input-header">Add Competition</th>');
	jQuery("input[name=competitionname]").val("");

	jQuery("#editCompetition").hide();
	jQuery("#addCompetition").show();
	
	competition_loadInputForm();
}

/**
 *
 * @access public
 * @return void
 **/
function competition_edit(competitionID, competitionName) {
	
	//populate edit dive
	jQuery("input[name=competitionform_hidden]").val('Edit Competition');
	jQuery("th[id=competition-input-header]").replaceWith('<th id="stadium-input-header">Edit Competition</th>');
	jQuery("input[name=id]").val(competitionID);
	jQuery("input[name=competitionname]").val(fixSpecialChars(competitionName));
	
	jQuery("#editCompetition").show();
	jQuery("#addCompetition").hide();
	
	competition_loadInputForm();
}

//centering popup
function competition_centerPopup() {
    //request data for centering
	var windowHeight = jQuery(window).height();
	var popupHeight = jQuery("#competition-input").height();
    //centering
    jQuery("#competition-input").css({
    "position": "fixed",
    "top": ((windowHeight/2) - (popupHeight/2))
    });
    
    //only need force for IE6

    jQuery("#backgroundPopup").css({
    "height": windowHeight
    });
}


//disabling popup with jQuery magic!
function competition_disablePopup() {
    jQuery("#backgroundPopup").fadeOut("slow");
    jQuery("#competition-input").fadeOut("slow");
}



//Set dive input form action url
function competition_setFormActionAndSubmit(url){
	//if (validateForm()) {
		document.competitioninputform.action = addScrollToUrl(url);
		document.competitioninputform.submit();
	//}
}

/**
 *
 * @access public
 * @return void
 **/
function addScrollToUrl(url){
	var scrollTop = jQuery(window).scrollTop();
	var urlWithScroll = addParameterToUrl(url, 'scrolled', scrollTop);
	return urlWithScroll;
}

/**
 *
 * @access public
 * @return void
 **/
function addParameterToUrl(url, parametername, parametervalue){
	var urlWithParameter = url;
	if (getParameterFromUrl(parametername) != -1) {
		//Parameter exists, replace value
		var oldParameter = parametername + "=" +getParameterFromUrl(parametername);
		var newParameter = parametername + "=" +parametervalue;
		urlWithParameter = urlWithParameter.replace(oldParameter, newParameter);
	}
	else if (url.indexOf("?") == -1) {
		urlWithParameter = url + "?" +parametername + "=" +parametervalue;
	}
	else{
		urlWithParameter = url + "&" +parametername + "=" +parametervalue;
	}
	return urlWithParameter;
}

function getParameterFromUrl(name){
	var results = new RegExp('[\\?&]' + name + '=([^&#]*)').exec(window.location.href);
	if (!results) { return -1; }
	return results[1] || -1;
}

function fixSpecialChars(str) {
    str= str.replace(/\&amp;/g,'&');
    str= str.replace(/\&lt;/g,'<');
    str= str.replace(/\&gt;/g,'>');
    str= str.replace(/\&quot;/g,'"');
    return str;
}

jQuery(document).ready(function(){

    if (getParameterFromUrl('scrolled') != -1) {
    	jQuery(window).scrollTop(getParameterFromUrl('scrolled'));
    }

	jQuery(function() {
		jQuery( "#date" ).datepicker({
		dateFormat: "dd.mm.yy",
		altFormat: "yy-mm-dd",
		altField: "#datehidden",
		firstDay: 1,
		nextText: "",
		prevText: "",
		showButtonPanel: true, 
		changeMonth: true, 
		changeYear: true
		});

	});

        jQuery("ui-datepicker-div").hide();
	
});