<?php
/**
 * Description: Settings page for editing plugin settings.
 * Author: Per Ola Saether
 */

add_action('admin_menu', 'groundhopping_plugin_menu');
add_action('admin_init', 'groundhopping_register_settings');

function groundhopping_register_settings() { // whitelist option
  register_setting( 'groundhopping_options', 'mapBoxAPI_Key' );
}

function groundhopping_plugin_menu() {
  $options = 'groundhopping_plugin_options';
  $optionsPageName = 'Groundhopping Settings';
  add_options_page($optionsPageName, 'Groundhopping', 'manage_options', 'GroundhoppingSettings', $options);

}

function groundhopping_plugin_options() {

  if (!current_user_can('manage_options'))  {
    wp_die( __('You do not have sufficient permissions to access this page.') );
  }

  echo '<div class="wrap">';
  echo '<h2>Groundhopping settings</h2>';
  echo '<p>Settings for your Groundhopping plugin</p>';
  echo '</div>';
  
  $options_name = 'groundhopping_options';
  
  echo '<div class="wrap">
        <form action="options.php" method="post" name="options">';
  
  settings_fields($options_name);
  do_settings_sections($options_name);
  
  $mapBoxAPI_Key = esc_attr( get_option('mapBoxAPI_Key') );
  
  echo '
  <table class="form-table" width="100%" cellpadding="10">
    <tbody>
      <tr><td scope="row" align="left" width="20%">
        <label>Mapbox API-Key</label></td><td width="70%">
        <input width="100%" type="text" name="mapBoxAPI_Key" value="' . $mapBoxAPI_Key . '" /></td>
      </tr>
    </tbody>
  </table>';
  
  submit_button();
  
  echo '</form></div>';

}
?>