<?php

function show_stadiumlist() {

  include_once("functions/stadiums.php");
  $filterClause = getStadiumListFilter(null, null, null, null, null);
  $totalNumberOfStadiums = getStadiumListCount($filterClause, false);
  $stadiums = getStadiumListEntries($filterClause, false);

  $stadiumHeadline = _n('There is %d stadium known.', 'There are %d stadiums known.', $totalNumberOfStadiums, 'groundhopping');
  $listResultCountText = sprintf($stadiumHeadline, $totalNumberOfStadiums);

?> 

  <div id="listAmount"><?php echo $listResultCountText; ?></div>

    <div id="stadiumlist">
      <table>
        <thead>
          <tr>
            <th><?php _e('Stadium Name', 'groundhopping');?></th>
            <th>&nbsp;</th>
          </tr>
        </thead>
        <tbody>

<?php foreach ($stadiums as $stadium) { ?>

		<tr>
        <td><?php echo $stadium->name; ?></td>
		    <td><a id="edit" onclick="javascript:stadium_edit(<?php 
		           echo $stadium->id; ?>, '<?php echo $stadium->name; ?>', <?php 
		           echo $stadium->latitude; ?>, <?php 
               echo $stadium->longitude; ?>);"><?php _e('Edit', 'groundhopping');?></a>
                </tr>
                
<?php } ?>              

            </tbody>
        </table>
    </div>
<?php
}

function show_stadium($url, $stadiumID) {
	
	$stadium = getStadium($stadiumID);
  
	$L_pos = strpos($url, "?");
	if($L_pos == false) $trenn = "?";
	else $trenn = "&amp;";
	
	$stadiumFilterUrl = $url . $trenn;

  $visitTmpl = "
     <tr>
        <th class=\"visitsDetail\">%s</th>
        <td>%s</td>
     </tr>";

  $stadiumCompetitionVisits = array();
  $stadiumTeamVisits = array();

  $user_is_logged_in = is_user_logged_in();
  if($user_is_logged_in) {
  	$current_user = wp_get_current_user();
  	$user_id = $current_user->ID;

  	$stadiumCompetitionVisits = getStadiumCompetitionVisits($stadiumID, $user_id);
    $stadiumTeamVisits = getStadiumTeamVisits($stadiumID, $user_id);
  }
    
?>

  <div id="stadium">
    <table>
      <tbody>
	      <tr>
			    <th><?php _e('Name', 'groundhopping');?></th>
			    <td><?php echo $stadium->name; ?></td>
		    </tr><tr>
			    <th><?php _e('Location', 'groundhopping');?></th>
			    <td><?php echo $stadium->latitude; ?>, <?php echo $stadium->longitude; ?> (<?php 
          ?><a href="http://maps.google.com?q=<?php echo $stadium->latitude; 
                                          ?>, <?php echo $stadium->longitude; ?>"
              target="_blank"><?php 
                                          _e('show on map', 'groundhopping');?></a>)</td>
        </tr><tr>
			    <th><?php _e('Visits', 'groundhopping');?></th>
			    <td><a href="<?php echo $stadiumFilterUrl; ?>filter_stadium=<?php echo $stadiumID; ?>"><?php echo $stadium->visits; ?></a></td>
        </tr> 

        <tr>
          <th colspan="2" class="visitsDetailHeadline"><?php _e('Visits by competition', 'groundhopping');?></th>
        </tr>

<?php

    $filterCompetitionLink = "<a href=\"%s&amp;filter_stadium=%s&amp;filter_competition=%s\">%s</a>";

    foreach ($stadiumCompetitionVisits as $cVisit) {
      $visitName = $cVisit->name == null ? "&lt;none&gt;" : $cVisit->name; 
      $visitID = $cVisit->id == null ? "NULL" : $cVisit->id; 
      $visitLink = sprintf($filterCompetitionLink, $stadiumFilterUrl, $stadiumID, $visitID, $cVisit->visits); 
      echo sprintf($visitTmpl, $visitName, $visitLink);
    }

?>

      <tr>
        <th colspan="2" class="visitsDetailHeadline"><?php _e('Visits by team', 'groundhopping');?></th>
      </tr>

<?php

    $filterTeamLink = "<a href=\"%s&amp;filter_stadium=%s&amp;filter_team=%s\">%s</a>";

    foreach ($stadiumTeamVisits as $cVisit) {
      $teamName = $cVisit->name == null ? "&lt;none&gt;" : $cVisit->name; 
      $teamID = $cVisit->id == null ? "NULL" : $cVisit->id; 
      $visitLink = sprintf($filterTeamLink, $stadiumFilterUrl, $stadiumID, $teamID, $cVisit->visits); 
      echo sprintf($visitTmpl, $teamName, $visitLink);
    }

 ?>

      </tbody>
    </table>
  </div>
	 
  <span id="confirmButtons"><a class="button blue" id="editStadium" onclick="stadium_edit(<?php 
    echo $stadium->id; ?>, '<?php echo $stadium->name; ?>', <?php 
    echo $stadium->latitude; ?>, <?php echo $stadium->longitude; ?>);">Edit Stadium</a></span>
	
<?php
	
}

?>