<?php
/**
 * Shows the stadium list.
 * Author: Per Ola Saether
 */

function show_teamlist() {
	include_once("functions/teams.php");
	$totalNumberOfTeams = getTeamListCount();
	$teams = getTeamListEntries();

  $listResultCountText = sprintf(
    _n('There is %d team known.', 
       'There are %d teams known.', 
       $totalNumberOfTeams, 'groundhopping'), 
       $totalNumberOfTeams);
?>

    <div id="listAmount"><?php echo $listResultCountText; ?></div>

    <div id="teamlist">
        <table>
            <thead>
                <tr>
                    <th>Team Name</th>
                    <th>&nbsp;</th>
                </tr>
            </thead>
            <tbody>

<?php foreach ($teams as $team) { ?> 
          <tr>
            <td><?php echo $team->name; ?></td>
		        <td><a id="edit" onclick="javascript:team_edit(<?php echo $team->id; ?>, '<?php echo gh_convertSpecialChars($team->name); ?>');"><?php _e('Edit', 'groundhopping');?></a>
          </tr>
<?php } ?>              

            </tbody>
        </table>
    </div>
<?php
}


function show_team($url, $teamID) {

	include_once("functions/teams.php");
	$team = getTeam($teamID);
  $teamFilterUrl = preg_replace('/team=\d+/i', '', $url);

  $visitTmpl = "
     <tr>
        <th class=\"visitsDetail\">%s</th>
        <td>%s</td>
     </tr>";

  $teamCompetitionVisits = array();
  $teamStadiumVisits = array();
  
  $user_is_logged_in = is_user_logged_in();
  if($user_is_logged_in) {
  	$current_user = wp_get_current_user();
  	$user_id = $current_user->ID;

  	$teamCompetitionVisits = getTeamCompetitionVisits($teamID, $user_id);
  	$teamStadiumVisits = getTeamStadiumVisits($teamID, $user_id);

  }
  
?>

<div id="team">
  <table>
    <tbody>
      <tr>
        <th><?php _e('name', 'groundhopping');?></th>
        <td colspan="2"><?php echo $team->name; ?></td>
      </tr><tr>
        <th><?php _e('visits', 'groundhopping');?></th>
        <?php echo sprintf("<td><a href=\"%sfilter_team=%s\">%s</a></td>", $teamFilterUrl, $teamID, $team->visits_home + $team->visits_guest); ?> 
      </tr><?php
        $visitLink = sprintf("<a href=\"%sfilter_home=%s\">%s</a>", $teamFilterUrl, $teamID, $team->visits_home); 
        echo sprintf($visitTmpl, __('visits as home team', 'groundhopping'), $visitLink);
         
        $visitLink = sprintf("<a href=\"%sfilter_guest=%s\">%s</a>", $teamFilterUrl, $teamID, $team->visits_guest); 
        echo sprintf($visitTmpl, __('visits as guest team', 'groundhopping'), $visitLink); 
    ?>
    
    <tr>
      <th colspan="2"><?php _e('visits by competition', 'groundhopping');?></th>
    </tr>

<?php

    $filterCompetitionLink = "<a href=\"%s&amp;filter_team=%s&amp;filter_competition=%s\">%s</a>";

    foreach ($teamCompetitionVisits as $cVisit) {
      $visitName = $cVisit->name == null ? "&lt;none&gt;" : $cVisit->name; 
      $visitID = $cVisit->id == null ? "NULL" : $cVisit->id; 
      $visitLink = sprintf($filterCompetitionLink, $teamFilterUrl,  $teamID, $visitID, $cVisit->visits); 
      echo sprintf($visitTmpl, $visitName, $visitLink);
    }
    
    ?>
    
    <tr>
      <th colspan="2"><?php _e('Visits by stadium', 'groundhopping');?></th>
    </tr>

<?php

    $filterStadiumLink = "<a href=\"%s&amp;filter_team=%s&amp;filter_stadium=%s\">%s</a>";

    foreach ($teamStadiumVisits as $cVisit) {
      $visitName = $cVisit->name == null ? "&lt;none&gt;" : $cVisit->name; 
      $visitID = $cVisit->id == null ? "NULL" : $cVisit->id; 
      $visitLink = sprintf($filterStadiumLink, $teamFilterUrl, $teamID, $visitID, $cVisit->visits); 
      echo sprintf($visitTmpl, $visitName, $visitLink);
    }
?>

    </tbody>
  </table>
</div>

<span id="confirmButtons"><a class="button blue" id="editTeam" onclick="team_edit(<?php 
  echo $teamID; ?>, '<?php echo $team->name; ?>');">Edit Team</a></span>

<?php
	
}

?>