<?php

function show_visitslist($url) {

	$filteredTeam = isset($_GET['filter_team']) ? $_GET['filter_team'] : null;
	$filteredTeamHome = isset($_GET['filter_home']) ? $_GET['filter_home'] : null;
	$filteredTeamGuest = isset($_GET['filter_guest']) ? $_GET['filter_guest'] : null;
	$filteredStadium = isset($_GET['filter_stadium']) ? $_GET['filter_stadium'] : null;
	$filteredCompetition = isset($_GET['filter_competition']) ? $_GET['filter_competition'] : null;

  include_once("functions/visits.php");
	$filterClause = getDatabaseVisitsFilter($filteredTeamHome, $filteredTeamGuest, $filteredStadium, $filteredCompetition, $filteredTeam);
	$totalNumberOfVisits = getVisitsListCount($filterClause);
	$visits = getVisitsListEntries($filterClause);

	$L_pos = strpos($url, "?");
	if($L_pos == false) $trenn = "?";
	else $trenn = "&amp;";

	$mapLinkUrl = $url . $trenn . "showMap=all";
	$mapLinkUrl .= $filteredTeam != null ? "&amp;filter_team=" . $_GET['filter_team'] : "";
	$mapLinkUrl .= $filteredTeamHome != null ? "&amp;filter_home=" . $_GET['filter_home'] : "";
	$mapLinkUrl .= $filteredTeamGuest ? "&amp;filter_guest=" . $_GET['filter_guest'] : "";
	$mapLinkUrl .= $filteredStadium ? "&amp;filter_stadium=" . $_GET['filter_stadium'] : "";
	$mapLinkUrl .= $filteredCompetition ? "&amp;filter_competition=" . $_GET['filter_competition'] : "";

  $mapLink = "<a href=\"" . $mapLinkUrl . "\">" . __("on map", "groundhopping") . "</a>";

  $listResultCountText = sprintf(_n('There is %d visit known in the database.', 
    'There are %d visits known in the database.', $totalNumberOfVisits, 'groundhopping'), $totalNumberOfVisits);
  
  $mapLink = $totalNumberOfVisits == 0 ? "" : sprintf(" (%s)", $mapLink);
  echo sprintf("<div id=\"listAmount\">%s%s</div>", $listResultCountText, $mapLink);

  include_once("filter.php");
  show_filter_panel($url, $filteredTeam, $filteredTeamHome, $filteredTeamGuest, $filteredStadium, $filteredCompetition);
  
  if ($totalNumberOfVisits > 0) { 
    include_once("visits_util.php");

?>

  <div id="visitslist">

    <table>
<?php gh_visits_header(); ?> 
      <tbody>

<?php

	foreach ($visits as $visit) {

		$visitLink = $url . $trenn . "showVisit=" . $visit->id;
		$tHomeLink = $url . $trenn . "team=" . $visit->team_home_id;
		$tGustLink = $url . $trenn . "team=" . $visit->team_guest_id;
?> 
	<tr>
      <td class="colDate"><a href="<?php echo $visitLink; ?>"><?php echo $visit->match_time; ?></a></td>
      <td><a href="<?php echo $tHomeLink; ?>"><?php echo $visit->team_home; ?></a></td>
      <td><a href="<?php echo $tGustLink; ?>"><?php echo $visit->team_guest; ?></a></td>
    </tr> 
<?php

  }

?>              

      </tbody>
    </table>

  </div>
  
<?php

  }

}


function show_visit($url, $visitID) {
	
	include_once("functions/visits.php");
	
	$visit = getVisit($visitID);

	$L_pos = strpos($url, "?");
	if($L_pos == false) $trenn = "?";
	else $trenn = "&amp;";

?>
	<script language="javascript" type="text/javascript" charset="utf-8">
		visitArray    = [];
		visitArray[0] = <?php echo $visit->id; ?>;
		visitArray[1] = <?php echo $visit->team_home_id; ?>;
		visitArray[2] = <?php echo $visit->team_guest_id; ?>;
		visitArray[3] = <?php echo $visit->stadium_id; ?>;
		visitArray[4] = <?php echo $visit->competition_id == NULL ? "0" : $visit->competition_id; ?>;
		visitArray[5] = "<?php echo $visit->match_time_time; ?>";
		visitArray[6] = "<?php echo $visit->match_time_date; ?>";
		visitArray[7] = "<?php echo preg_replace('/(\d+)[-](\d+)[-](\d+)/i', '$3.$2.$1', $visit->match_time_date); ?>";
	</script>

<?php

	if($visit->prev_id != NULL) { 
		?><div class="ghNavigation"><a href="<?php echo $url; ?>&amp;showVisit=<?php echo $visit->prev_id; ?>"><?php 
			_e('previous visit', 'groundhopping');?></a></div><?php
	} 
?>

    <div id="visit">
        <table>
            <tbody>
		<tr>
			<th><?php _e('Date', 'groundhopping');?></th>
			<td><?php echo preg_replace('/(\d+)[-](\d+)[-](\d+) +(\d+)[:](\d+)[:](\d+)/i', '$3.$2.$1 $4:$5', $visit->match_time); ?></td>
		</tr><tr>
			<th><?php _e('Team Home', 'groundhopping');?></th>
			<td><a href="<?php echo $url . $trenn; ?>team=<?php echo $visit->team_home_id; ?>"><?php echo $visit->team_home; ?></a></td>
		</tr><tr>
			<th><?php _e('Team Guest', 'groundhopping');?></th>
			<td><a href="<?php echo $url . $trenn; ?>team=<?php echo $visit->team_guest_id; ?>"><?php echo $visit->team_guest; ?></a></td>
		</tr><tr>
			<th><?php _e('Stadium', 'groundhopping');?></th>
			<td><a href="<?php echo $url . $trenn; ?>stadium=<?php echo $visit->stadium_id; ?>"><?php echo $visit->stadium; ?></a></td>
		</tr><tr>
			<th><?php _e('Competition', 'groundhopping');?></th>
			<td><?php echo $visit->competition == NULL ? "&nbsp;" : 
          "<a href=\"" . $url . $trenn. "competition=" . $visit->competition_id . "\">" . $visit->competition . "</a>"; ?></td>
		</tr>
            </tbody>
        </table>
	</div>

<?php

	if($visit->next_id != NULL) { 
		?><div class="ghNavigation"><a href="<?php echo $url; ?>&amp;showVisit=<?php echo $visit->next_id; ?>"><?php _e('next visit', 'groundhopping');?></a></div>
<?php
	} 
?>	
	
  <div id="confirmButtons">
	<span><a class="button blue" id="editVisit" onclick="visit_edit(visitArray, '<?php echo $url ?>');">Edit Visit</a></span>
	&nbsp;|&nbsp;
	<span><a href="<?php echo $url; ?>"><?php _e('visits list', 'groundhopping'); ?></a></span>
  </div>

<?php 

}

?>