<?php
/**
 * Description: Widget page for the plugin. Widget will display most recent logged visits.
 * Author: AndiSmirre
 */

//Initialize widget
function groundhopping_init() {

    if (!function_exists('register_sidebar_widget'))
        return;

    // Widget sidebar layout
    function groundhopping_sidebar($args) {

        extract($args);
        // Get stored widget options
        $options = get_option('groundhopping');
        $title = $options['title'];
        $numdives = $options['numvisits'];

        //Sidebare widget layout
        echo $before_widget . $before_title . $title . $after_title;
        echo '<div style="margin-top:5px;text-align:left;">';
        echo '<ul>';
        for ($i = 0; $i < $numvisits; $i++){
        echo '<li> Visit number ' . $i;
        echo '</li>';
        }
        echo '</ul></div>';
        echo $after_widget;
    }

    // Control form where the user can change settings
    // for the widget
    function groundhopping_control() {

        // Get stored options
        $options = get_option('groundhopping');
        //Default options
        if (!is_array($options))
            $options = array('numvisits' => 5, 'title' => 'Groundhopping');

        //Store and keep new options
        if ($_POST['groundhopping-submit']) {
            $options['title'] = strip_tags(stripslashes($_POST['groundhopping-title']));
            $options['numvisits'] = strip_tags(stripslashes($_POST['groundhopping-numvisits']));
            update_option('groundhopping', $options);
        }
        // Format options to be valid HTML
        $title = htmlspecialchars($options['title'], ENT_QUOTES);
        $numdives = htmlspecialchars($options['numvisits'], ENT_QUOTES);

        //Control form layout
        echo '<p style="text-align:left;">
        <label for="divebook-title"> ' . __('Title:') . '
        <input style="width: 200px;" id="groundhopping-title" name="groundhopping-title" type="text" value="' . $title . '" />
        </label>
        <label for="groundhopping-numdives"> ' . __('Number of most recent visits to display:') . '
        <br/><input style="width: 30px;" id="groundhopping-numvisits" name="groundhopping-numvisits" type="text" value="' . $numvisits . '" />
        </label>
        </p>';
        echo '<input type="hidden" id="groundhopping-submit" name="groundhopping-submit" value="1" />';
    }

    //Register Widget so it appears in available widgets
    register_sidebar_widget(array('Groundhopping', 'GH'), 'groundhopping_sidebar');
    register_widget_control(array('Groundhopping', 'GH2'), 'groundhopping_control');
}

add_action('widgets_init', 'groundhopping_init');

?>